//---------   GUI_u1.cpp   --------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
#include "GUI_u1.h"
#include "GUI_u2.h"
#include "Kl_WG_Automat.h"

TdieGUI1 *dieGUI1;
TdieGUI2 *dieGUI2;
WechselgeldAutomat *derWG_Automat;
//---------------------------------------------------------------------------
__fastcall TdieGUI1::TdieGUI1(TComponent* Owner)
        : TForm(Owner)
{
  dieGUI2 = new TdieGUI2(this);
  dieGUI2->Show();
  derWG_Automat = new WechselgeldAutomat(this, dieGUI2);
}
//---------------------------------------------------------------------------
__fastcall TdieGUI1::~TdieGUI1()
{
  delete dieGUI2;
  delete derWG_Automat;
}
//---------------------------------------------------------------------------
void __fastcall TdieGUI1::btnAusgebenClick(TObject *Sender)
{
  int betrag;

  betrag = StrToInt(edtBetrag->Text);
  betrag = (betrag % 100) / 5 * 5;
  edtBetrag->Text = IntToStr(betrag);

  derWG_Automat->ausgebenMuenzen(betrag);
}
//---------------------------------------------------------------------------
void __fastcall TdieGUI1::btnAuffuellenClick(TObject *Sender)
{
   derWG_Automat->auffuellenMagazin();
}
//---------------------------------------------------------------------------
void __fastcall TdieGUI1::Timer1Timer(TObject *Sender)
{
  Shape1->Visible = ! Shape1->Visible;
}
//---------------------------------------------------------------------------
void TdieGUI1::anzeigenMuenzen(Muenzen pAuszahlung)
{
  edt50Cent->Text = IntToStr(pAuszahlung.Ct50);
  edt10Cent->Text = IntToStr(pAuszahlung.Ct10);
  edt5Cent->Text  = IntToStr(pAuszahlung.Ct5);
}
//---------------------------------------------------------------------------
void TdieGUI1::blinkenEin()
{
  Timer1->Enabled = true;
  Shape1->Visible = false;
}
//---------------------------------------------------------------------------
void TdieGUI1::blinkenAus()
{
  Timer1->Enabled = false;
  Shape1->Visible = true;
}

