//---------   Kl_WG_Automat.h    ------------------------------------------
// Schnittstelle der Klasse WechselgeldAutomat

#ifndef Kl_WG_Automat_H
#define Kl_WG_Automat_H

#include "GUI_u1.h"
#include "GUI_u2.h"
#include "EigeneTypen.h"
#include "Kl_GMagazin.h"

// Definition der Schnittstelle

class WechselgeldAutomat {
 protected:
  TdieGUI1 *dieGUI1;
  TdieGUI2 *dieGUI2;
  GeldMagazin *dasCtMagazin[3];

  struct Muenzen ausgeben(int betrag);
  void auffuellen();
  struct Muenzen leseFuellstand();

 public:
  WechselgeldAutomat( TdieGUI1 *pGUI1, TdieGUI2 *pGUI2);
  void auffuellenMagazin();
  void ausgebenMuenzen(int betrag);
};

#endif

 